Subject: issue 63 -- ref 6.2.1 or list explicit checks for message format

From: Jari Arkko <[email-masked]>
Date: Sat, 14 Feb 2004 14:17:57 +0200

> CURRENT TEXT: Section 6.2.5: "All requirements 
> listed in Section 6.2.1 are fulfilled." Section 6.2.6: 
> "All requirements listed in Section 6.2.2 are 
> fulfilled."
> 
> PROBLEM: This is too vague. What are the requirements 
> is 6.2.1/6.2.2? I would not know what code to write 
> for this.
> 
> PROPOSAL: List explicitly the things that the 
> router/host needs to check (rather than referencing 
> Sections 6.2.1/6.2.2). 

Tuomas, I agree with almost everything you have commented, but
I'm not sure about this one. We actually did have an explicit
list of checks in a previous version of the draft, but there
were complaints of redundancy and this was one of the things
that got simplified.

I would note that there are explicit values listed for various
fields, as well as keywords dictating the contents of the fields
in more complex cases. Is there some specific check that you are
missing?

Comments?

--Jari

--------------------------------------------------------------------
To unsubscribe from this list, send email with "UNSUBSCRIBE" in the
body to <[email-masked]>.
Archive: http://standards.ericsson.net/lists/ietf-send/maillist.html
--------------------------------------------------------------------

This communication is confidential and intended solely for the addressee(s). Any unauthorized review, use, disclosure or distribution is prohibited. If you believe this message has been sent to you in error, please notify the sender by replying to this transmission and delete the message without disclosing it. Thank you.

E-mail including attachments is susceptible to data corruption, interruption, unauthorized amendment, tampering and viruses, and we only send and receive e-mails on the basis that we are not liable for any such corruption, interception, amendment, tampering or viruses or any consequences thereof.